classification
Title: lib2to3 Grammar file is no longer a Python 3 superset
Type: behavior Stage: resolved
Components: Devguide, Library (Lib) Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: BreamoreBoy, ezio.melotti, gregory.p.smith, meador.inge, ncoghlan
Priority: normal Keywords:

Created on 2013-11-06 12:56 by ncoghlan, last changed 2015-12-28 22:10 by ezio.melotti. This issue is now closed.

Messages (5)
msg202265 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-06 12:56
In writing some new fixers for issue 17823, I noticed the 2/3 bridge grammar in lib2to3 was never updated to handle "yield from".

This item is also missing from the checklist in the devguide:

http://docs.python.org/devguide/grammar.html
msg228396 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-03 22:18
Anybody volunteering but please don't look at me :)
msg239860 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2015-04-01 23:30
This is blocking Python auto formatters from working properly on Python 3 syntax code.  For example: https://github.com/google/yapf/issues/61
msg240125 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2015-04-05 16:00
This was fixed in 3.4.1:

https://hg.python.org/cpython/log/094615256a54/Lib/lib2to3/Grammar.txt

i'm leaving this open to update the devguide.
msg257135 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-12-28 22:10
I created #25967 to keep track of the devguide issue, so I'm going to close this.
History
Date User Action Args
2015-12-28 22:10:16ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg257135

stage: resolved
2015-04-05 16:00:10gregory.p.smithsetmessages: + msg240125
2015-04-01 23:31:44gregory.p.smithsetversions: - Python 2.7
2015-04-01 23:31:30gregory.p.smithsetversions: + Python 2.7
2015-04-01 23:30:47gregory.p.smithsetpriority: low -> normal

nosy: + gregory.p.smith
messages: + msg239860

assignee: gregory.p.smith
2014-10-03 22:18:19BreamoreBoysetnosy: + BreamoreBoy

messages: + msg228396
versions: + Python 3.5, - Python 3.3
2013-11-06 15:18:24meador.ingesetnosy: + meador.inge
2013-11-06 12:56:51ncoghlancreate